% Some relations between Austrian emporers
% in the 17th and 18th century:

child_of(leopold_II,maria_theresia).
child_of(franz_II,leopold_II).
child_of(joseph_I, leopold_I).
child_of(karl_VI, leopold_I).
child_of(maria_theresia,karl_VI).
child_of(joseph_II, maria_theresia).
child_of(joseph_II,franz_I).
child_of(leopold_II,franz_I).
child_of(marie_antoinette,maria_theresia).


male(franz_I).
male(franz_II).
male(joseph_I).
male(joseph_II).
male(karl_VI).
male(leopold_I).
% male(leopold_II).
male(ferdinand_I).

female(maria_theresia).
female(maria_antoinette).

person(X) :- male(X),!.
person(X) :- female(X),!.
person(X) :- child_of(X,_),!.
person(X) :- child_of(_,X),!.


child_of(a,b).
child_of(c,d).
child_of(b,e).
child_of(d,e).

ancestor(X,Y) :- child_of(X,Y).
ancestor(X,Z) :- child_of(X,_Y), ancestor(_Y,Z).

